Package com.pixelmed.test

# Class TestJSONRepresentation

java.lang.Object
junit.framework.Assert
junit.framework.TestCase
com.pixelmed.test.TestJSONRepresentation

All Implemented Interfaces:
  `junit.framework.Test`

public class TestJSONRepresentation extends junit.framework.TestCase

## Constructor Summary

Constructors
Constructor
Description
`TestJSONRepresentation(String name)`

## Method Summary

Modifier and Type
Method
Description
`static junit.framework.Test`
`suite()`
`protected void`
`tearDown()`
`void`
`testStructuredReport_JSONRepresentation_AttributeList()`
`void`
`testStructuredReport_JSONRepresentation_AttributeList_DoNotUseNumberForISDSCollapseValueArraysCollapseEmptyToNull()`
`void`
`testStructuredReport_JSONRepresentation_AttributeList_IgnoreSR_Both()`
`void`
`testStructuredReport_JSONRepresentation_AttributeList_IgnoreSR_Creation()`
`void`
`testStructuredReport_JSONRepresentation_AttributeList_IgnoreSR_Parsing()`
`void`
`testStructuredReport_JSONRepresentation_AttributeList_JustKeywordNoVR()`
`void`
`testStructuredReport_JSONRepresentation_AttributeList_JustKeywordNoVRCollapseEmptyToNull()`
`void`
`testStructuredReport_JSONRepresentation_AttributeList_JustKeywordNoVRCollapseValueArrays()`
`void`
`testStructuredReport_JSONRepresentation_AttributeList_JustKeywordNoVRCollapseValueArraysCollapseEmptyToNull()`
`void`
`testStructuredReport_JSONRepresentation_AttributeList_PatternOfArgumentsUsedForSR()`
`void`
`testStructuredReport_JSONRepresentation_AttributeList_SubstituteUIDKeywords()`
`void`
`testStructuredReport_JSONRepresentation_AttributeList_UseNumberForISDS()`
`void`
`testStructuredReport_JSONRepresentation_AttributeList_UseNumberForISDSCollapseValueArraysCollapseEmptyToNull()`
`void`
`testStructuredReport_JSONRepresentation_DicomFile()`
`void`
`testStructuredReport_JSONRepresentation_JSONFile()`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, setUp, toString`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TestJSONRepresentation

public TestJSONRepresentation(String name)

## Method Details

### suite

public static junit.framework.Test suite()

### tearDown

protected void tearDown()

Overrides:
  `tearDown` in class `junit.framework.TestCase`

### testStructuredReport_JSONRepresentation_AttributeList

public void testStructuredReport_JSONRepresentation_AttributeList() throws Exception

Throws:
  `Exception`

### testStructuredReport_JSONRepresentation_DicomFile

public void testStructuredReport_JSONRepresentation_DicomFile() throws Exception

Throws:
  `Exception`

### testStructuredReport_JSONRepresentation_JSONFile

public void testStructuredReport_JSONRepresentation_JSONFile() throws Exception

Throws:
  `Exception`

### testStructuredReport_JSONRepresentation_AttributeList_IgnoreSR_Creation

public void testStructuredReport_JSONRepresentation_AttributeList_IgnoreSR_Creation() throws Exception

Throws:
  `Exception`

### testStructuredReport_JSONRepresentation_AttributeList_IgnoreSR_Parsing

public void testStructuredReport_JSONRepresentation_AttributeList_IgnoreSR_Parsing() throws Exception

Throws:
  `Exception`

### testStructuredReport_JSONRepresentation_AttributeList_IgnoreSR_Both

public void testStructuredReport_JSONRepresentation_AttributeList_IgnoreSR_Both() throws Exception

Throws:
  `Exception`

### testStructuredReport_JSONRepresentation_AttributeList_JustKeywordNoVR

public void testStructuredReport_JSONRepresentation_AttributeList_JustKeywordNoVR() throws Exception

Throws:
  `Exception`

### testStructuredReport_JSONRepresentation_AttributeList_JustKeywordNoVRCollapseValueArrays

public void testStructuredReport_JSONRepresentation_AttributeList_JustKeywordNoVRCollapseValueArrays() throws Exception

Throws:
  `Exception`

### testStructuredReport_JSONRepresentation_AttributeList_JustKeywordNoVRCollapseValueArraysCollapseEmptyToNull

public void testStructuredReport_JSONRepresentation_AttributeList_JustKeywordNoVRCollapseValueArraysCollapseEmptyToNull() throws Exception

Throws:
  `Exception`

### testStructuredReport_JSONRepresentation_AttributeList_JustKeywordNoVRCollapseEmptyToNull

public void testStructuredReport_JSONRepresentation_AttributeList_JustKeywordNoVRCollapseEmptyToNull() throws Exception

Throws:
  `Exception`

### testStructuredReport_JSONRepresentation_AttributeList_SubstituteUIDKeywords

public void testStructuredReport_JSONRepresentation_AttributeList_SubstituteUIDKeywords() throws Exception

Throws:
  `Exception`

### testStructuredReport_JSONRepresentation_AttributeList_UseNumberForISDS

public void testStructuredReport_JSONRepresentation_AttributeList_UseNumberForISDS() throws Exception

Throws:
  `Exception`

### testStructuredReport_JSONRepresentation_AttributeList_DoNotUseNumberForISDSCollapseValueArraysCollapseEmptyToNull

public void testStructuredReport_JSONRepresentation_AttributeList_DoNotUseNumberForISDSCollapseValueArraysCollapseEmptyToNull() throws Exception

Throws:
  `Exception`

### testStructuredReport_JSONRepresentation_AttributeList_UseNumberForISDSCollapseValueArraysCollapseEmptyToNull

public void testStructuredReport_JSONRepresentation_AttributeList_UseNumberForISDSCollapseValueArraysCollapseEmptyToNull() throws Exception

Throws:
  `Exception`

### testStructuredReport_JSONRepresentation_AttributeList_PatternOfArgumentsUsedForSR

public void testStructuredReport_JSONRepresentation_AttributeList_PatternOfArgumentsUsedForSR() throws Exception

Throws:
  `Exception`